package com.zioinfo.cms.member.mapper;

import com.zioinfo.cms.member.CmsMember;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MemberMapper {
    List<CmsMember> findAll(@Param("segment") String segment, @Param("status") String status,
                            @Param("keyword") String keyword);
    CmsMember findById(@Param("id") Long id);
    int insert(CmsMember m);
    int update(CmsMember m);
    int delete(@Param("id") Long id);
}
